Loading...
Searching...
No Matches
point2d_parallel.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/vector.h>`
`#include <grass/dbmi.h>`
`#include <grass/interpf.h>`
Include dependency graph for point2d_parallel.c:

Go to the source code of this file.

## Functions

int | IL_check_at_points_2d_cvdev (struct interp_params *params, struct quaddata *data, double *b, double *ertot, double zmin, double dnorm, struct triple *target_point)
| A parallel version of IL_check_at_points_2d. Sperate the cross-validation/deviation computing part and the database writing part.

## Detailed Description

Author
  Lubos Mitas (original program and various modifications)
  C.Y. Liang, H. Mitasova, I. Kosinovsky, D. Gerdes, D. McCauley (GRASS4.1 version of the program and GRASS4.2 modifications)
  modified by Liang in May 2024
  modified by McCauley in August 1995
  modified by Mitasova in August 1995, Nov. 1996

Copyright
  (C) 1993-2006 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file point2d_parallel.c.

## Function Documentation

## IL_check_at_points_2d_cvdev()

int IL_check_at_points_2d_cvdev | ( | struct interp_params * | params,
|  | struct quaddata * | data,
|  | double * | b,
|  | double * | ertot,
|  | double | zmin,
|  | double | dnorm,
|  | struct triple * | target_point )

A parallel version of IL_check_at_points_2d. Sperate the cross-validation/deviation computing part and the database writing part.

Parameters

  params | interpolation parameters
  data | data in the segment for computing, NULL for writing out
  b | solution of linear equations for computing, NULL for writing out
  ertot | total error for computing, point at single point for writing out
  zmin | min z-value for computing
  dnorm | normalization factor for computing
  target_point | point for computing or writing out

Returns
  1

Todo
  Alternative description: ...calculate the maximum and RMS deviation caused by smoothing.

Parameters

  data | current region
  b | solution of linear equations
  ertot | total error
  zmin | min z-value

Definition at line 60 of file point2d_parallel.c.

References b, interp_params::cv, err(), interp_params::fi, IL_write_point_2d(), interp_params::interp, NULL, r, triple::x, interp_params::x_orig, triple::y, interp_params::y_orig, and triple::z.